Bug 219546 - net-mgmt/resource-agents: Update to 4.0.1
Summary: net-mgmt/resource-agents: Update to 4.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-05-25 19:02 UTC by David Shane Holden
Modified: 2017-06-06 16:13 UTC (History)
1 user (show)

See Also:


Attachments
resource-agents-4.0.1.patch (11.04 KB, patch)
2017-05-25 19:02 UTC, David Shane Holden
no flags Details | Diff
resource-agents-4.0.1.patch (11.43 KB, patch)
2017-05-28 16:26 UTC, David Shane Holden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Shane Holden 2017-05-25 19:02:22 UTC
Created attachment 182901 [details]
resource-agents-4.0.1.patch
Comment 1 Jochen Neumeister freebsd_committer 2017-05-28 12:23:17 UTC
hi, 

this patch stop with an error:

===========================================================================
====> Running Q/A tests (stage-qa)
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/ip.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/netfs.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/lvm_by_vg.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/ASEHAagent.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/smb.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/samba.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/oracledb.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/nfsclient.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/postgres-8.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/clusterfs.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/bind-mount.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/oradg.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/openldap.sh'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/httpd-parse-config.pl'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/config-utils.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/fs-lib.sh'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/tomcat-parse-config.pl'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/messages.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/member_util.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/ra-skelet.sh'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'share/cluster/utils/named-parse-config.pl'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/lvm_by_lv.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/script.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/service.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/vm.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/oralistener.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/svclib_nfslock'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/ocf-shellfuncs'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/drbd.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/nfsserver.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/orainstance.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/apache.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/db2.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/fs.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/mysql.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/tomcat-6.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/named.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/tomcat-5.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/lvm.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'share/cluster/nfsexport.sh'
Warning: Bad symlink '/usr/local/lib/ocf/resource.d/redhat' pointing to an absolute pathname '/usr/local/share/cluster'
Warning: Bad symlink '/usr/local/etc/ha.d/resource.d/ldirectord' pointing to an absolute pathname '/usr/local/sbin/ldirectord'
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/resource-agents
====>> Error: stage-qa failures detected

see: http://joneumbox.org/data/12amd64-ports/2017-05-28_14h20m51s/logs/errors/resource-agents-4.0.1.log
Comment 2 David Shane Holden 2017-05-28 16:26:08 UTC
Created attachment 183012 [details]
resource-agents-4.0.1.patch
Comment 3 commit-hook freebsd_committer 2017-06-06 16:12:33 UTC
A commit references this bug:

Author: joneum
Date: Tue Jun  6 16:11:49 UTC 2017
New revision: 442780
URL: https://svnweb.freebsd.org/changeset/ports/442780

Log:
  - net-mgmt/resource-agents: Update from 2.3.5 to 4.0.1
  - Changelog: https://github.com/ClusterLabs/resource-agents/blob/master/ChangeLog
  - Fix shebangs

  PR:		219546
  Submitted by:	David Shane Holden (maintainer)
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10984

Changes:
  head/net-mgmt/resource-agents/Makefile
  head/net-mgmt/resource-agents/distinfo
  head/net-mgmt/resource-agents/files/patch-tools_ocf_tester.in
  head/net-mgmt/resource-agents/pkg-plist
Comment 4 Jochen Neumeister freebsd_committer 2017-06-06 16:13:10 UTC
Committed, thanks :-)